unit uGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, uAmpel,uStatistik, uHighscore, ExtCtrls;

type
  Tmain = class(TForm)
    Starte: TButton;
    Beenden: TButton;
    Button1: TButton;
    Button2: TButton;
    procedure StarteClick(Sender: TObject);
    procedure BeendenClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);

  private
   start,runde:integer;
   Ampel1:TAmpel;
   Stat1:TStatistiken;
   procedure durchlauf;
   procedure pause(zeit:integer);

  public
   
   end;



var
  main: Tmain;
  reazeit,geszeit:integer;
  

implementation

{$R *.DFM}


procedure TMain.pause(zeit:integer);
var anfang:integer;
begin
anfang:=gettickcount;
while anfang+zeit>gettickcount
do application.processmessages;
end;

procedure Tmain.durchlauf;
var zeit,i:integer;
begin
inc(runde);
 for i:=1 to 3 do
   begin
   reazeit:=0;
   start:=0;
   stop:=0;
   randomize;
   zeit:=1000+random(5000);
   pause(zeit);
   Ampel1.setgruen;
   start:=gettickcount;
   pause(2000);
   Ampel1.setrot;
   reazeit:=stop-start;
   rekorde[runde].zeiten[i]:=reazeit;
   showmessage('Sie haben '+inttostr(rekorde[runde].zeiten[i])+' ms gebraucht.');
 end;
geszeit:= rekorde[runde].zeiten[1]+rekorde[runde].zeiten[2]+rekorde[runde].zeiten[3];

showmessage(
              '1.Versuch: '+inttostr(rekorde[runde].zeiten[1])+#13#10+
              '2.Versuch: '+inttostr(rekorde[runde].zeiten[2])+#13#10+
              '3.Versuch: '+inttostr(rekorde[runde].zeiten[3])+#13#10+
              '-------------------'+#13#10+
              'Gesamtzeit: '+inttostr(geszeit)
            );

board.dazu(geszeit);
board.show;
board.anzeigen;
end;

procedure Tmain.StarteClick(Sender: TObject);
begin
Application.MessageBox('Drcken Sie Return, wenn die Ampel grn wird!','So gehts:',0);
Ampel1:=TAmpel.create(main);
Ampel1.visible:=true;
Ampel1.left:=300;
Ampel1.top:=200;
Ampel1.shape2.brush.color:=clred;
Ampel1.Shape3.brush.color:=clgray;
durchlauf;
Ampel1.Destroy;
Ampel1:=nil;
Starte.caption:='Nochmal?';
end;



procedure Tmain.BeendenClick(Sender: TObject);
begin
board.speichern;
main.close;
end;


procedure Tmain.Button1Click(Sender: TObject);
var i:integer;
begin
Stat1:=TStatistiken.create(main);
Stat1.visible:=true;
Stat1.left:=500;
Stat1.top:=400;
Stat1.ZeichneKoord;
Stat1.zeichneStats(runde);
end;

procedure Tmain.FormCreate(Sender: TObject);
begin
if fileexists('scores.dat') then
board.laden;
runde:=0;
end;

procedure Tmain.Button2Click(Sender: TObject);
begin
board.show;
board.anzeigen;
end;

end.
