unit uStatistik;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type

  
  TStatistiken = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
  private
    { Private-Deklarationen }
  public
    procedure zeichneKoord;
    procedure zeichneStats(runde:integer);
  end;

  TZeiten = record
    Name:string[10];
    zeiten:array[1..3]of integer;
   end;

var
  Statistiken: TStatistiken;
   x,y:integer;
   rekorde:array[1..10] of TZeiten;

   implementation

procedure TStatistiken.ZeichneKoord;
var i:integer;
begin
x:=image1.width;
y:=image1.height;
  with image1.canvas do
  begin
  moveto(30,0);
  lineto(penpos.x,y-20);
  lineto(x,penpos.y);
  for i:=1 to 5 do
    begin
    moveto(30,(i*((y-20) div 5)));
    lineto(39,penpos.y);
    end;
  for i:=1 to 3 do
    begin
    moveto(i*((x-30 )div 3),y-20);
    lineto(penpos.x,y-25);
    end;
  end;
end;

procedure TStatistiken.ZeichneStats(runde:integer);
var i:integer;
begin
x:=image1.width;
y:=image1.height;
with image1.canvas do
  begin
  for i:=1 to runde do
    begin
    if i= 1 then pen.color:=clred else
    if i= 2 then pen.color:=clblue else
    if i= 3 then pen.color:=clfuchsia else
    if i= 4 then pen.color:=cllime else
    if i= 5 then pen.color:=clgray else
    if i= 6 then pen.color:=claqua else
    if i= 7 then pen.color:=clteal else
    if i= 8 then pen.color:=clpurple else
    if i= 9 then pen.color:=clnavy else
    if i= 10 then pen.color:=clmaroon;
    moveto(1*(x-30) div 3,250-(rekorde[i].zeiten[1]) div 4);
    lineto(2*(x-30) div 3,250-(rekorde[i].zeiten[2]) div 4);
    lineto(3*(x-30) div 3,250-(rekorde[i].zeiten[3]) div 4);
    end;
  end;
end;

{$R *.DFM}

end.
