unit uHighscore;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids;

type
 Tbeste= record
 namen:string[10];
 punkte:integer;
 end;

  Tboard = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    sg1: TStringGrid;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure speichern;
    procedure laden;
    procedure sortieren;
    procedure dazu(z:integer);
    procedure anzeigen;
  end;

var
  board: Tboard;
  hs:array[1..10] of Tbeste;
  f:file of Tbeste;

implementation

{$R *.dfm}

procedure Tboard.sortieren;
var x,y:integer;
    buffer:TBeste;
begin
for x:= 10 downto 2 do
for y:= 2 to x do
if hs[y].punkte <hs[y-1].punkte then
  begin
  buffer:=hs[y];
  hs[y]:=hs[y-1];
  hs[y-1]:=buffer;
  end;
end;

procedure Tboard.dazu(z:integer);
begin
if hs[1].punkte=0 then
    begin
    hs[1].punkte:=z;
    hs[1].namen:=inputbox('Bitte Namen eingeben (max. 10 Stellen)','Topleistung','');
    sortieren;
    end
    else
    begin
    if z > hs[10].punkte then
      begin
      hs[10].punkte:=z;
      hs[10].namen:=inputbox('Bitte Namen eingeben (max. 10 Stellen)','Topleistung','');
      sortieren;
      end
      else
      showmessage('Leider nicht gut genug fr den Highscore');
   end;
end;

procedure Tboard.anzeigen;
var p:string;
    i:integer;
begin
sg1.cells[0,0]:='Punkte';
sg1.cells[1,0]:='Name';

for i:=1 to 10 do
  begin
  sg1.cells[0,i]:=inttostr(hs[i].punkte);
  sg1.cells[1,i]:=hs[i].namen;
  end;

end;

procedure Tboard.laden;
var i:integer;
begin
  assignfile(f,'scores.dat');
  reset(f);
try
  for i:=1 to 10 do
  read(f,hs[i]);
finally
  closefile(f);
end;
end;

procedure Tboard.speichern;
var i:integer;
begin
  assignfile(f,'scores.dat');
  rewrite(f);
try
  for i:=1 to 10 do
  write(f,hs[i]);
finally
  closefile(f);
end;
end;

procedure Tboard.Button1Click(Sender: TObject);
begin
close;
end;

end.
